Package ghidra.features.bsim.gui.search.dialog

# Class AbstractBSimSearchDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

Direct Known Subclasses:
  `BSimOverviewDialog`, `BSimSearchDialog`

public abstract class AbstractBSimSearchDialog extends DialogComponentProvider
Base class for BSim Search dialogs that all have a server comboBox, and entries for the similarity and confidence values.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected class`
  `AbstractBSimSearchDialog.BSimQueryTask`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected FloatingPointTextField`
  `confidenceField`
  `protected BSimSearchService`
  `searchService`
  `protected BSimServerCache`
  `serverCache`
  `protected FloatingPointTextField`
  `similarityField`
  `protected PluginTool`
  `tool`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractBSimSearchDialog(String title, PluginTool tool, BSimSearchService service, BSimServerManager serverManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Component`
  `buildCenterPanel()`
  `protected JPanel`
  `buildOptionsPanel()`
  `protected JPanel`
  `buildServerPanel()`
  `protected boolean`
  `canQuery()`
  `protected JPanel`
  `createTitledPanel(String name, JComponent comp, boolean fullWidth)`
  `void`
  `dispose()`
  Disposes this dialog.
  `protected DatabaseInformation`
  `getDatabaseInformation()`
  `protected BSimServerInfo`
  `getServer()`
  `protected void`
  `initializeSettings(BSimSearchSettings lastUsedSearchSettings)`
  `protected void`
  `setServer(BSimServerInfo info)`
  `protected void`
  `setServerCache(BSimServerCache serverCache)`
  `protected void`
  `updateSearchEnablement()`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, createSharedActions, dialogClosed, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, okCallback, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### searchService

    protected BSimSearchService searchService

  - ### tool

    protected PluginTool tool

  - ### similarityField

    protected FloatingPointTextField similarityField

  - ### confidenceField

    protected FloatingPointTextField confidenceField

  - ### serverCache

    protected BSimServerCache serverCache

- ## Constructor Details

  - ### AbstractBSimSearchDialog

    protected AbstractBSimSearchDialog(String title, PluginTool tool, BSimSearchService service, BSimServerManager serverManager)

- ## Method Details

  - ### initializeSettings

    protected void initializeSettings(BSimSearchSettings lastUsedSearchSettings)

  - ### buildCenterPanel

    protected Component buildCenterPanel()

  - ### buildServerPanel

    protected JPanel buildServerPanel()

  - ### buildOptionsPanel

    protected JPanel buildOptionsPanel()

  - ### dispose

    public void dispose()
    Description copied from class: `DialogComponentProvider`
    Disposes this dialog. Only call this when the dialog is no longer used. Calling this method will close the dialog if it is open.
    Overrides:
      `dispose` in class `DialogComponentProvider`

  - ### getDatabaseInformation

    protected DatabaseInformation getDatabaseInformation()

  - ### updateSearchEnablement

    protected void updateSearchEnablement()

  - ### canQuery

    protected boolean canQuery()

  - ### setServerCache

    protected void setServerCache(BSimServerCache serverCache)

  - ### createTitledPanel

    protected JPanel createTitledPanel(String name, JComponent comp, boolean fullWidth)

  - ### setServer

    protected void setServer(BSimServerInfo info)

  - ### getServer

    protected BSimServerInfo getServer()